using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static int KolikoVaga(int l, int r, int x, List<int> a, List<int> b)
    {
        int br = 0;
        for(int i =l-1;i<=r-1;i++)
        {
            if(x>=a[i] && x<=b[i])
            {
                br++;
            }
        }
        return br;
    }
    static void Main(string[] args)
    {
        var s1 = Console.ReadLine().Split();
        int n = int.Parse(s1[0]);
        int m = int.Parse(s1[1]);

        List<int> a = new List<int>();
        List<int> b = new List<int>();
        var s2 = Console.ReadLine().Split();
        a.Add(int.Parse(s2[0]));
        b.Add(int.Parse(s2[1]));
        for (int i =1;i<n;i++)
        {
            s2 = Console.ReadLine().Split();
            a.Add(int.Parse(s2[0]));
            b.Add(int.Parse(s2[1]));
        }


        var s3 = Console.ReadLine().Split();
        int l = int.Parse(s3[0]);
        int r = int.Parse(s3[1]);
        int x = int.Parse(s3[2]);
        Console.WriteLine(KolikoVaga(l,r,x,a,b));
        for (int j = 1; j < m; j++)
        {
            s3 = Console.ReadLine().Split();
            l = int.Parse(s3[0]);
            r = int.Parse(s3[1]);
            x = int.Parse(s3[2]);
            Console.WriteLine(KolikoVaga(l, r, x,a,b));
        }

    }
}